#ifndef ICON_H
#define ICON_H

#include <qpixmap.h>

class Icon
{
 private:
  Icon();

  static Icon*      _instance;
  static QPixmap*   _remove;
  static QPixmap*   _red_ball;
  static QPixmap*   _yellow_ball;
  static QPixmap*   _green_ball;
  static QPixmap*   _grey_ball;
  static QPixmap*   _smile;

 public:
  static Icon*      getInstance();

  QPixmap*          getRemove();
  QPixmap*          getGreenBall();
  QPixmap*          getYellowBall();
  QPixmap*          getRedBall();
  QPixmap*          getGreyBall();
  QPixmap*          getSmile();
};

#endif
