#ifndef INTERRUPTEDFILESEARCH_H
#define INTERRUPTEDFILESEARCH_H

#include "BInterruptedFileSearch.h"
#include <vector>
class QueryHitEntry;

class InterruptedFileSearch : public BInterruptedFileSearch
{ 
    Q_OBJECT

public:
    InterruptedFileSearch( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~InterruptedFileSearch();

    void            init(unsigned long filesize);
    QueryHitEntry*  getSelectedQueryHit();

private:
    std::vector<QueryHitEntry*>    _file_list;

public slots:

    virtual void    slotResume();
};

#endif // INTERRUPTEDFILESEARCH_H
