#ifndef LOGGING_H
#define LOGGING_H

#include <string>
#include <qthread.h>

class Logging
{
 private:
  Logging();
  
  static Logging*   _instance;
  static QMutex     _mutex;

 public:
  static Logging*   getInstance();
  void              log(int loglevel, std::string msg);

  enum{
    Debug,
    Info,
    Error
  };
};

#endif  
