#ifndef PUSH_H
#define PUSH_H

#include "Address.h"

#ifdef HAVE_STDINT_H
#include <stdint.h>
#else
#if HAVE_SYS_INT_TYPES_H
#include <sys/int_types.h>
#endif
#endif

using namespace std;

class Push
{
 public:
  Push(const uint8_t ttl, const uint8_t hops, std::string& id, std::string& payload);
  Push(const uint8_t ttl, const uint8_t hops, std::string& id, std::string& id_p, const uint32_t index, const Address address);
  Push();
  
  std::string  _id;
  std::string  _id_payload;
  std::string  _data;
  uint32_t     _index;
  uint8_t      _ttl;
  uint8_t      _hops;
  Address      _address;
 private:
  void         toString();
};

#endif
