#ifndef SEARCH_H
#define SEARCH_H

class SearchWidget;
class QueryHitEntry;

#include <string>
#include <vector>

#ifdef HAVE_STDINT_H
#include <stdint.h>
#else
#if HAVE_SYS_INT_TYPES_H
#include <sys/int_types.h>
#endif
#endif

using namespace std;

class Search
{
 public:
  Search(std::string id, SearchWidget *sw, uint16_t min_speed, int type, bool active = true);
  ~Search();

  std::string                       id;
  std::string                       query;
  SearchWidget                      *sw;
  bool                              active;
  uint16_t                          _min_speed;
  int                               _type;
  std::vector<class QueryHitEntry*> vSearchResults;
};

#endif
